| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DataReaderQos Class Reference

Class DataReaderQos: extends standard DDS DataReaderQos class to include specific default constructor for the recommended DataReaderQos profile. More...

`#include <DataReaderQos.hpp>`

Inheritance diagram for DataReaderQos:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | DataReaderQos ()
| Constructor.
Public Member Functions inherited from DataReaderQos
FASTDDS_EXPORTED_API | DataReaderQos ()
| Constructor.
FASTDDS_EXPORTED_API bool | operator== (const DataReaderQos &b) const
FASTDDS_EXPORTED_API ReaderQos | get_readerqos (const SubscriberQos &sqos) const
FASTDDS_EXPORTED_API DurabilityQosPolicy & | durability ()
| Getter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API const DurabilityQosPolicy & | durability () const
| Getter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API void | durability (const DurabilityQosPolicy &new_value)
| Setter for DurabilityQosPolicy.
FASTDDS_EXPORTED_API DeadlineQosPolicy & | deadline ()
| Getter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API const DeadlineQosPolicy & | deadline () const
| Getter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API void | deadline (const DeadlineQosPolicy &new_value)
| Setter for DeadlineQosPolicy.
FASTDDS_EXPORTED_API LatencyBudgetQosPolicy & | latency_budget ()
| Getter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API const LatencyBudgetQosPolicy & | latency_budget () const
| Getter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API void | latency_budget (const LatencyBudgetQosPolicy &new_value)
| Setter for LatencyBudgetQosPolicy.
FASTDDS_EXPORTED_API LivelinessQosPolicy & | liveliness ()
| Getter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API const LivelinessQosPolicy & | liveliness () const
| Getter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API void | liveliness (const LivelinessQosPolicy &new_value)
| Setter for LivelinessQosPolicy.
FASTDDS_EXPORTED_API ReliabilityQosPolicy & | reliability ()
| Getter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API const ReliabilityQosPolicy & | reliability () const
| Getter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API void | reliability (const ReliabilityQosPolicy &new_value)
| Setter for ReliabilityQosPolicy.
FASTDDS_EXPORTED_API DestinationOrderQosPolicy & | destination_order ()
| Getter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API const DestinationOrderQosPolicy & | destination_order () const
| Getter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API void | destination_order (const DestinationOrderQosPolicy &new_value)
| Setter for DestinationOrderQosPolicy.
FASTDDS_EXPORTED_API HistoryQosPolicy & | history ()
| Getter for HistoryQosPolicy.
FASTDDS_EXPORTED_API const HistoryQosPolicy & | history () const
| Getter for HistoryQosPolicy.
FASTDDS_EXPORTED_API void | history (const HistoryQosPolicy &new_value)
| Setter for HistoryQosPolicy.
FASTDDS_EXPORTED_API ResourceLimitsQosPolicy & | resource_limits ()
| Getter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API const ResourceLimitsQosPolicy & | resource_limits () const
| Getter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API void | resource_limits (const ResourceLimitsQosPolicy &new_value)
| Setter for ResourceLimitsQosPolicy.
FASTDDS_EXPORTED_API UserDataQosPolicy & | user_data ()
| Getter for UserDataQosPolicy.
FASTDDS_EXPORTED_API const UserDataQosPolicy & | user_data () const
| Getter for UserDataQosPolicy.
FASTDDS_EXPORTED_API void | user_data (const UserDataQosPolicy &new_value)
| Setter for UserDataQosPolicy.
FASTDDS_EXPORTED_API OwnershipQosPolicy & | ownership ()
| Getter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API const OwnershipQosPolicy & | ownership () const
| Getter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API void | ownership (const OwnershipQosPolicy &new_value)
| Setter for OwnershipQosPolicy.
FASTDDS_EXPORTED_API TimeBasedFilterQosPolicy & | time_based_filter ()
| Getter for TimeBasedFilterQosPolicy.
FASTDDS_EXPORTED_API const TimeBasedFilterQosPolicy & | time_based_filter () const
| Getter for TimeBasedFilterQosPolicy.
FASTDDS_EXPORTED_API void | time_based_filter (const TimeBasedFilterQosPolicy &new_value)
| Setter for TimeBasedFilterQosPolicy.
FASTDDS_EXPORTED_API ReaderDataLifecycleQosPolicy & | reader_data_lifecycle ()
| Getter for ReaderDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API const ReaderDataLifecycleQosPolicy & | reader_data_lifecycle () const
| Getter for ReaderDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API void | reader_data_lifecycle (const ReaderDataLifecycleQosPolicy &new_value)
| Setter for ReaderDataLifecycleQosPolicy.
FASTDDS_EXPORTED_API LifespanQosPolicy & | lifespan ()
| Getter for LifespanQosPolicy.
FASTDDS_EXPORTED_API const LifespanQosPolicy & | lifespan () const
| Getter for LifespanQosPolicy.
FASTDDS_EXPORTED_API void | lifespan (const LifespanQosPolicy &new_value)
| Setter for LifespanQosPolicy.
FASTDDS_EXPORTED_API DurabilityServiceQosPolicy & | durability_service ()
| Getter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API const DurabilityServiceQosPolicy & | durability_service () const
| Getter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API void | durability_service (const DurabilityServiceQosPolicy &new_value)
| Setter for DurabilityServiceQosPolicy.
FASTDDS_EXPORTED_API RTPSReliableReaderQos & | reliable_reader_qos ()
| Getter for RTPSReliableReaderQos.
FASTDDS_EXPORTED_API const RTPSReliableReaderQos & | reliable_reader_qos () const
| Getter for RTPSReliableReaderQos.
FASTDDS_EXPORTED_API void | reliable_reader_qos (const RTPSReliableReaderQos &new_value)
| Setter for RTPSReliableReaderQos.
FASTDDS_EXPORTED_API TypeConsistencyEnforcementQosPolicy & | type_consistency ()
| Getter for TypeConsistencyEnforcementQosPolicy.
FASTDDS_EXPORTED_API const TypeConsistencyEnforcementQosPolicy & | type_consistency () const
| Getter for TypeConsistencyEnforcementQosPolicy.
FASTDDS_EXPORTED_API void | type_consistency (const TypeConsistencyEnforcementQosPolicy &new_value)
| Setter for TypeConsistencyEnforcementQosPolicy.
FASTDDS_EXPORTED_API const DataRepresentationQosPolicy & | representation () const
| Getter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API DataRepresentationQosPolicy & | representation ()
| Getter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API void | representation (const DataRepresentationQosPolicy &representation)
| Setter for DataRepresentationQosPolicy.
FASTDDS_EXPORTED_API bool | expects_inline_qos () const
| Getter for expects_inline_qos.
FASTDDS_EXPORTED_API void | expects_inline_qos (bool new_value)
| Setter for expects_inline_qos.
FASTDDS_EXPORTED_API PropertyPolicyQos & | properties ()
| Getter for PropertyPolicyQos.
FASTDDS_EXPORTED_API const PropertyPolicyQos & | properties () const
| Getter for PropertyPolicyQos.
FASTDDS_EXPORTED_API void | properties (const PropertyPolicyQos &new_value)
| Setter for PropertyPolicyQos.
FASTDDS_EXPORTED_API RTPSEndpointQos & | endpoint ()
| Getter for RTPSEndpointQos.
FASTDDS_EXPORTED_API const RTPSEndpointQos & | endpoint () const
| Getter for RTPSEndpointQos.
FASTDDS_EXPORTED_API void | endpoint (const RTPSEndpointQos &new_value)
| Setter for RTPSEndpointQos.
FASTDDS_EXPORTED_API ReaderResourceLimitsQos & | reader_resource_limits ()
| Getter for ReaderResourceLimitsQos.
FASTDDS_EXPORTED_API const ReaderResourceLimitsQos & | reader_resource_limits () const
| Getter for ReaderResourceLimitsQos.
FASTDDS_EXPORTED_API void | reader_resource_limits (const ReaderResourceLimitsQos &new_value)
| Setter for ReaderResourceLimitsQos.
FASTDDS_EXPORTED_API DataSharingQosPolicy & | data_sharing ()
| Getter for DataSharingQosPolicy.
FASTDDS_EXPORTED_API const DataSharingQosPolicy & | data_sharing () const
| Getter for DataSharingQosPolicy.
FASTDDS_EXPORTED_API void | data_sharing (const DataSharingQosPolicy &data_sharing)
| Setter for DataSharingQosPolicy.

## Detailed Description

Class DataReaderQos: extends standard DDS DataReaderQos class to include specific default constructor for the recommended DataReaderQos profile.

## Constructor & Destructor Documentation

## ◆ DataReaderQos()

FASTDDS_EXPORTED_API DataReaderQos | ( |  | ) |

Constructor.

The documentation for this class was generated from the following file:

- include/fastdds/statistics/dds/subscriber/qos/DataReaderQos.hpp